{
  systemConfig,
  ...
}:

{
  imports = [
    ./boot.nix
    ./hardware.nix
    ./networking.nix
    ./security.nix
  ];

  system.stateVersion = systemConfig.version;

  users = {
    mutableUsers = false;
    users.${systemConfig.user.name} = {
      isNormalUser = true;
      password = systemConfig.user.password;
      extraGroups = [ "wheel" ];
    };
  };
}
